package com.htfp.jni.uav98.bean;

/**
 * @author Dong Jw
 * @creatTime 2024-01-09 17:28
 */
public class Uav98FlightDataFrame8F_96 extends Uav98FlightDataFrame {
    private float Data8FAirPressureHeight1; //气压高度I
    private float Data8FAirPressureHeight2; //气压高度II
    private float Data8FAirPressureHeight3; //气压高度III
    private float Data8FAirSpeed1; //空速1
    private float Data8FAirSpeed2; //空速2
    private float Data8FAirSpeed3; //空速3
    private int Data8FsubFrameID; //子帧编号
    private float Data8Fsub0MillRadarHeightDiff; //毫米波雷达高度1
    private float Data8Fsub0MillRadarHeight; //毫米波雷达高度2
    private float Data8Fsub0WirelessAltimeter; //无线电高度表高度
    private int Data8Fsub0MillRadarFreq; //毫米波I帧频
    private int Data8Fsub0MemBrakeFreq; //备用刹车帧频
    private float Data8Fsub0LeftBrakePress; //左刹车压力
    private float Data8Fsub0RightBrakePress; //右刹车压力
    private long Data8Fsub1FlyCtrlAStatus; //飞控A状态字
    private long Data8Fsub1FlyCtrlBStatus; //飞控B状态字
    private long Data8Fsub1FlyCtrlCStatus; //飞控C状态字
    private int Data8Fsub2LeftUpDnActuatorFre; //舵机管理器CAN帧频
    private int Data8Fsub2RightUpDnActuatorFre; //舵机管理器485帧频
    private int Data8Fsub2LeftFuYiActuatorFre; //舵机控制器CAN帧频
    private int Data8Fsub2RightFuYiActuatorFre; //舵机控制器485帧频
    private int Data8Fsub2LeftUpDnActuator; //左升降舵机状态
    private int Data8Fsub2RightUpDnActuator; //右升降舵机状态
    private int Data8Fsub2LeftFuYiActuator; //左副翼舵机状态
    private int Data8Fsub2RightFuYiActuator; //右副翼舵机状态
    private int Data8Fsub2DirActuator; //方向舵机状态
    private int Data8Fsub2JinYi; //上襟翼舵机状态
    private int Data8Fsub2DirActuatorFre; //右下襟翼舵状态
    private int Data8Fsub2JinYiFre; //左下襟翼舵状态
    private int Data8Fsub3L_ElevatorFault; //左升降舵机故障状态
    private int Data8Fsub3R_ElevatorFault; //右升降舵机故障状态
    private int Data8Fsub3L_AileronFault; //左副翼舵机故障状态
    private int Data8Fsub3R_AileronFault; //右副翼舵机故障状态
    private int Data8Fsub3RudderFault; //方向舵机故障状态
    private int Data8Fsub3U_FlapFault; //上襟翼舵机故障状态
    private int Data8Fsub3RD_FlapFault; //右下襟翼舵故障状态
    private int Data8Fsub3LD_FlapFault; //左下襟翼舵故障状态
    private int Data8Fsub3BrakeSource; //备用字节
    private int Data8Fsub3SteeringSource; //刹车数据源

    private int Data94subFrameID; //子帧编号
    private int Data94sub0CabinDoorFaultFlag; //舱门故障状态
    private int Data94sub0CabinDoorCurFlag; //舱门当前状态
    private float Data94sub0CabinDoorCurOpen; //舱门当前开度
    private int Data94sub0CabinDoorPowerSourc; //舱门供电来源
    private float Data94sub0BatteryPowerVoltage; //电池供电电压
    private float Data94sub0UAVPowerVoltage; //飞机供电电压
    private byte Data94sub0ElecMachineTemp; //电机温度
    private int Data94sub0Record1; //记录仪状态字1
    private int Data94sub0Record2; //记录仪状态字2
    private int Data94sub0Record3; //记录仪状态字3
    private int Data94sub0Humiture; //温湿度-湿度
    private int Data94sub0Frozen; //结冰状态
    private int Data94sub0SmokeAlarm1; //烟雾报警器1
    private int Data94sub0SmokeAlarm2; //烟雾报警器2
    private int Data94sub0SmokeAlarm3; //烟雾报警器3
    private int Data94sub0Temperature; //温湿度-温度
    private float Data94sub0SatCom1PowerVoltage; //卫通Ⅰ供电电压
    private int Data94sub0FlightSumWeight; //飞行总重量
    private int Data94sub0OutFireDevStatus; //灭火设备开关状态
    private int Data94sub0DropTaskState; //投射任务状态
    private int Data94sub0BagExistState; //货物存在状态
    private int Data94sub0DropProbState1; //投射故障状态1
    private int Data94sub0DropProbState2; //投射故障状态2
    private int Data94sub1ADS_Alt2; //高度
    private int Data94sub1AddressType; //地址类型
    private double Data94sub1ADS_Lon    ; //经度
    private double Data94sub1ADS_Lat    ; //纬度
    private float Data94sub1ADS_Alt    ; //高度
    private float Data94sub1ADS_Vl     ; //水平速度
    private float Data94sub1ADS_Vu     ; //垂直速度
    private float Data94sub1ADS_Yaw    ; //航向角
    private int Data94sub1S_Address; //S模式地址
    private int Data94sub1FlightNum; //航班号
    private int Data94sub1ADS_Speed; //水平速度+垂直速度
    private int Data94sub1ADS_Yaw2; //航向角

    private int Data95_TCUflyID; //飞机ID
    private int Data95_TCUOperateMode; //运行模式
    private int Data95_TCUOutBar1FinalCmd ; //放气阀1最终指令开度
    private int Data95_TCUOutBar2FinalCmd ; //放气阀2最终指令开度
    private int Data95_TCUOutBar1RealValue; //放气阀1实际开度
    private int Data95_TCUOutBar2RealValue; //放气阀2实际开度
    private float Data95_TCUPCPressure; //稳压腔反馈压力
    private int Data95_TCUOutGasTemp; //排气温度
    private int Data95_TCULubeEngineSped; //滑油泵实际转速
    private int Data95_TCULubeLevel; //滑油液位
    private int Data95_TCULubeEngineSped2 ; //滑油泵2实际转速
    private int Data95_TCUsubFrameID; //子帧编号
    private int Data95_TCUsub0SwitchState1; //开关状态字1
    private float Data95_TCUsub0OutFireVol; //灭火瓶电压
    private float Data95_TCUsub0ECUInVol; //发动机管理器输入电压
    private int Data95_TCUsub0InAirTSPreErr; //进气压力温度传感器压力故障
    private int Data95_TCUsub0InAirTSTempErr; //进气压力温度传感器温度故障
    private int Data95_TCUsub0InAirPCPSPreErr; //进气稳压腔压力温度传感器压力故障
    private int Data95_TCUsub0InAirPCPSTempErr; //进气稳压腔压力温度传感器温度故障
    private int Data95_TCUsub0OutAirTSErr; //排气温度传感器故障
    private int Data95_TCUsub0LubePSErr; //滑油压力传感器故障
    private int Data95_TCUsub0LubeTSErr; //滑油温度传感器故障
    private int Data95_TCUsub0OutBarExeErr; //放气阀执行器故障
    private float Data95_TCUsub0InAirPre; //进气压力
    private byte Data95_TCUsub1InAirTemp; //进气温度
    private byte Data95_TCUsub1PCTemp; //稳压腔温度
    private float Data95_TCUsub1LubePre; //滑油压力
    private int Data95_TCUsub1LubeTemp; //滑油温度
    private int Data95_TCUsub1TempPreOLWarn; //系统超温超速警告
    private int Data95_TCUsub1ECU3CANFreq; //发管3CAN帧频
    private int Data95_TCUsub1ECU3LHDFreq; //发管2LHD帧频
    private int Data95_TCUsub1TCU485COMFreq; //TCU485串口帧频
    private int Data95_TCUsub1TCU232COMFreq; //TCU232串口帧频
    private float Data95_TCUsub1PCTargetPressure; //稳压腔目标压力
    private int Data95_TCUsub1Com232Or485; //232或485通讯采用中
    private float Data95_TCUsub1TCUVol; //TCU供电电压

    public float getData8FAirPressureHeight1() {
        return Data8FAirPressureHeight1;
    }

    public float getData8FAirPressureHeight2() {
        return Data8FAirPressureHeight2;
    }

    public float getData8FAirPressureHeight3() {
        return Data8FAirPressureHeight3;
    }

    public float getData8FAirSpeed1() {
        return Data8FAirSpeed1;
    }

    public float getData8FAirSpeed2() {
        return Data8FAirSpeed2;
    }

    public float getData8FAirSpeed3() {
        return Data8FAirSpeed3;
    }

    public int getData8FsubFrameID() {
        return Data8FsubFrameID;
    }

    public float getData8Fsub0MillRadarHeightDiff() {
        return Data8Fsub0MillRadarHeightDiff;
    }

    public float getData8Fsub0MillRadarHeight() {
        return Data8Fsub0MillRadarHeight;
    }

    public float getData8Fsub0WirelessAltimeter() {
        return Data8Fsub0WirelessAltimeter;
    }

    public int getData8Fsub0MillRadarFreq() {
        return Data8Fsub0MillRadarFreq;
    }

    public int getData8Fsub0MemBrakeFreq() {
        return Data8Fsub0MemBrakeFreq;
    }

    public float getData8Fsub0LeftBrakePress() {
        return Data8Fsub0LeftBrakePress;
    }

    public float getData8Fsub0RightBrakePress() {
        return Data8Fsub0RightBrakePress;
    }

    public long getData8Fsub1FlyCtrlAStatus() {
        return Data8Fsub1FlyCtrlAStatus;
    }

    public long getData8Fsub1FlyCtrlBStatus() {
        return Data8Fsub1FlyCtrlBStatus;
    }

    public long getData8Fsub1FlyCtrlCStatus() {
        return Data8Fsub1FlyCtrlCStatus;
    }

    public int getData8Fsub2LeftUpDnActuatorFre() {
        return Data8Fsub2LeftUpDnActuatorFre;
    }

    public int getData8Fsub2RightUpDnActuatorFre() {
        return Data8Fsub2RightUpDnActuatorFre;
    }

    public int getData8Fsub2LeftFuYiActuatorFre() {
        return Data8Fsub2LeftFuYiActuatorFre;
    }

    public int getData8Fsub2RightFuYiActuatorFre() {
        return Data8Fsub2RightFuYiActuatorFre;
    }

    public int getData8Fsub2LeftUpDnActuator() {
        return Data8Fsub2LeftUpDnActuator;
    }

    public int getData8Fsub2RightUpDnActuator() {
        return Data8Fsub2RightUpDnActuator;
    }

    public int getData8Fsub2LeftFuYiActuator() {
        return Data8Fsub2LeftFuYiActuator;
    }

    public int getData8Fsub2RightFuYiActuator() {
        return Data8Fsub2RightFuYiActuator;
    }

    public int getData8Fsub2DirActuator() {
        return Data8Fsub2DirActuator;
    }

    public int getData8Fsub2JinYi() {
        return Data8Fsub2JinYi;
    }

    public int getData8Fsub2DirActuatorFre() {
        return Data8Fsub2DirActuatorFre;
    }

    public int getData8Fsub2JinYiFre() {
        return Data8Fsub2JinYiFre;
    }

    public int getData8Fsub3L_ElevatorFault() {
        return Data8Fsub3L_ElevatorFault;
    }

    public int getData8Fsub3R_ElevatorFault() {
        return Data8Fsub3R_ElevatorFault;
    }

    public int getData8Fsub3L_AileronFault() {
        return Data8Fsub3L_AileronFault;
    }

    public int getData8Fsub3R_AileronFault() {
        return Data8Fsub3R_AileronFault;
    }

    public int getData8Fsub3RudderFault() {
        return Data8Fsub3RudderFault;
    }

    public int getData8Fsub3U_FlapFault() {
        return Data8Fsub3U_FlapFault;
    }

    public int getData8Fsub3RD_FlapFault() {
        return Data8Fsub3RD_FlapFault;
    }

    public int getData8Fsub3LD_FlapFault() {
        return Data8Fsub3LD_FlapFault;
    }

    public int getData8Fsub3BrakeSource() {
        return Data8Fsub3BrakeSource;
    }

    public int getData8Fsub3SteeringSource() {
        return Data8Fsub3SteeringSource;
    }

    public int getData94subFrameID() {
        return Data94subFrameID;
    }

    public int getData94sub0CabinDoorFaultFlag() {
        return Data94sub0CabinDoorFaultFlag;
    }

    public int getData94sub0CabinDoorCurFlag() {
        return Data94sub0CabinDoorCurFlag;
    }

    public float getData94sub0CabinDoorCurOpen() {
        return Data94sub0CabinDoorCurOpen;
    }

    public int getData94sub0CabinDoorPowerSourc() {
        return Data94sub0CabinDoorPowerSourc;
    }

    public float getData94sub0BatteryPowerVoltage() {
        return Data94sub0BatteryPowerVoltage;
    }

    public float getData94sub0UAVPowerVoltage() {
        return Data94sub0UAVPowerVoltage;
    }

    public byte getData94sub0ElecMachineTemp() {
        return Data94sub0ElecMachineTemp;
    }

    public int getData94sub0Record1() {
        return Data94sub0Record1;
    }

    public int getData94sub0Record2() {
        return Data94sub0Record2;
    }

    public int getData94sub0Record3() {
        return Data94sub0Record3;
    }

    public int getData94sub0Humiture() {
        return Data94sub0Humiture;
    }

    public int getData94sub0Frozen() {
        return Data94sub0Frozen;
    }

    public int getData94sub0SmokeAlarm1() {
        return Data94sub0SmokeAlarm1;
    }

    public int getData94sub0SmokeAlarm2() {
        return Data94sub0SmokeAlarm2;
    }

    public int getData94sub0SmokeAlarm3() {
        return Data94sub0SmokeAlarm3;
    }

    public int getData94sub0Temperature() {
        return Data94sub0Temperature;
    }

    public float getData94sub0SatCom1PowerVoltage() {
        return Data94sub0SatCom1PowerVoltage;
    }

    public int getData94sub0FlightSumWeight() {
        return Data94sub0FlightSumWeight;
    }

    public int getData94sub0OutFireDevStatus() {
        return Data94sub0OutFireDevStatus;
    }

    public int getData94sub0DropTaskState() {
        return Data94sub0DropTaskState;
    }

    public int getData94sub0BagExistState() {
        return Data94sub0BagExistState;
    }

    public int getData94sub0DropProbState1() {
        return Data94sub0DropProbState1;
    }

    public int getData94sub0DropProbState2() {
        return Data94sub0DropProbState2;
    }

    public int getData94sub1ADS_Alt2() {
        return Data94sub1ADS_Alt2;
    }

    public int getData94sub1AddressType() {
        return Data94sub1AddressType;
    }

    public double getData94sub1ADS_Lon() {
        return Data94sub1ADS_Lon;
    }

    public double getData94sub1ADS_Lat() {
        return Data94sub1ADS_Lat;
    }

    public float getData94sub1ADS_Alt() {
        return Data94sub1ADS_Alt;
    }

    public float getData94sub1ADS_Vl() {
        return Data94sub1ADS_Vl;
    }

    public float getData94sub1ADS_Vu() {
        return Data94sub1ADS_Vu;
    }

    public float getData94sub1ADS_Yaw() {
        return Data94sub1ADS_Yaw;
    }

    public int getData94sub1S_Address() {
        return Data94sub1S_Address;
    }

    public int getData94sub1FlightNum() {
        return Data94sub1FlightNum;
    }

    public int getData94sub1ADS_Speed() {
        return Data94sub1ADS_Speed;
    }

    public int getData94sub1ADS_Yaw2() {
        return Data94sub1ADS_Yaw2;
    }

    public int getData95_TCUflyID() {
        return Data95_TCUflyID;
    }

    public int getData95_TCUOperateMode() {
        return Data95_TCUOperateMode;
    }

    public int getData95_TCUOutBar1FinalCmd() {
        return Data95_TCUOutBar1FinalCmd;
    }

    public int getData95_TCUOutBar2FinalCmd() {
        return Data95_TCUOutBar2FinalCmd;
    }

    public int getData95_TCUOutBar1RealValue() {
        return Data95_TCUOutBar1RealValue;
    }

    public int getData95_TCUOutBar2RealValue() {
        return Data95_TCUOutBar2RealValue;
    }

    public float getData95_TCUPCPressure() {
        return Data95_TCUPCPressure;
    }

    public int getData95_TCUOutGasTemp() {
        return Data95_TCUOutGasTemp;
    }

    public int getData95_TCULubeEngineSped() {
        return Data95_TCULubeEngineSped;
    }

    public int getData95_TCULubeLevel() {
        return Data95_TCULubeLevel;
    }

    public int getData95_TCULubeEngineSped2() {
        return Data95_TCULubeEngineSped2;
    }

    public int getData95_TCUsubFrameID() {
        return Data95_TCUsubFrameID;
    }

    public int getData95_TCUsub0SwitchState1() {
        return Data95_TCUsub0SwitchState1;
    }

    public float getData95_TCUsub0OutFireVol() {
        return Data95_TCUsub0OutFireVol;
    }

    public float getData95_TCUsub0ECUInVol() {
        return Data95_TCUsub0ECUInVol;
    }

    public int getData95_TCUsub0InAirTSPreErr() {
        return Data95_TCUsub0InAirTSPreErr;
    }

    public int getData95_TCUsub0InAirTSTempErr() {
        return Data95_TCUsub0InAirTSTempErr;
    }

    public int getData95_TCUsub0InAirPCPSPreErr() {
        return Data95_TCUsub0InAirPCPSPreErr;
    }

    public int getData95_TCUsub0InAirPCPSTempErr() {
        return Data95_TCUsub0InAirPCPSTempErr;
    }

    public int getData95_TCUsub0OutAirTSErr() {
        return Data95_TCUsub0OutAirTSErr;
    }

    public int getData95_TCUsub0LubePSErr() {
        return Data95_TCUsub0LubePSErr;
    }

    public int getData95_TCUsub0LubeTSErr() {
        return Data95_TCUsub0LubeTSErr;
    }

    public int getData95_TCUsub0OutBarExeErr() {
        return Data95_TCUsub0OutBarExeErr;
    }

    public float getData95_TCUsub0InAirPre() {
        return Data95_TCUsub0InAirPre;
    }

    public byte getData95_TCUsub1InAirTemp() {
        return Data95_TCUsub1InAirTemp;
    }

    public byte getData95_TCUsub1PCTemp() {
        return Data95_TCUsub1PCTemp;
    }

    public float getData95_TCUsub1LubePre() {
        return Data95_TCUsub1LubePre;
    }

    public int getData95_TCUsub1LubeTemp() {
        return Data95_TCUsub1LubeTemp;
    }

    public int getData95_TCUsub1TempPreOLWarn() {
        return Data95_TCUsub1TempPreOLWarn;
    }

    public int getData95_TCUsub1ECU3CANFreq() {
        return Data95_TCUsub1ECU3CANFreq;
    }

    public int getData95_TCUsub1ECU3LHDFreq() {
        return Data95_TCUsub1ECU3LHDFreq;
    }

    public int getData95_TCUsub1TCU485COMFreq() {
        return Data95_TCUsub1TCU485COMFreq;
    }

    public int getData95_TCUsub1TCU232COMFreq() {
        return Data95_TCUsub1TCU232COMFreq;
    }

    public float getData95_TCUsub1PCTargetPressure() {
        return Data95_TCUsub1PCTargetPressure;
    }

    public int getData95_TCUsub1Com232Or485() {
        return Data95_TCUsub1Com232Or485;
    }

    public float getData95_TCUsub1TCUVol() {
        return Data95_TCUsub1TCUVol;
    }
}
