package com.htfp.jni.uav981C.bean;

import com.htfp.jni.uav981C.bean.param.AvionicFaultFlagsParam;
import com.htfp.jni.uav981C.bean.param.BindingFlagsParam;
import com.htfp.jni.uav981C.bean.param.ClosedLoopControlStatusParam;
import com.htfp.jni.uav981C.bean.param.FlightStatusFaultFlagsParam;
import com.htfp.jni.uav981C.bean.param.FlightStatusFlagParam;
import com.htfp.jni.uav981C.bean.param.SensorOverrunStatusParam;
import com.htfp.jni.uav981C.bean.param.SensorStatusParam;
import com.htfp.jni.uav981C.bean.param.VerticalTakeoffAndLandingStatusParam;

/**
 * @author Dong Jw
 * @creatTime 2024-01-09 08:33
 */
public class Uav981CFlightDataFrameC3 extends Uav981CFlightDataFrame {
    private int DataC3flyID;//飞机ID
    private int DataC3FrameCount;//帧计数
    private int DataC3FlyStatus_Mode_Period;//飞行状态、模式和阶段
    private int DataC3NaviMode_Step;//导航模式及步骤
    private int DataC3HorVerCtrLMode;//横纵向模态
    private int DataC3VerCmd_Step;//纵向令牌及步骤
    private int DataC3GasMode_HorCmd;//油门模态及横向令牌
    private FlightStatusFlagParam DataC3FlyStateFlag;//飞行状态标志
    private FlightStatusFaultFlagsParam DataC3FlyErrorStatus;//飞行状态故障标志
    private AvionicFaultFlagsParam DataC3HDErrorStatus;//航电故障状态
    // TODO 传感器状态为一个对象，c++传过来一个高16位字节一个低8位字节
    private SensorStatusParam DataC3SensorStatus;
    private int DataC3subFrameID;//子帧编号
    private long DataC3sub0DataUseStatus;//数据使用状态
    private BindingFlagsParam DataC3sub0DataBindFlag;//装订标志
    private int DataC3sub1SensorOnOffFlag;//传感器禁止使能状态
    private ClosedLoopControlStatusParam DataC3sub1CtrLInLoopFlag;//闭环控制标志状态
    private int DataC3sub1FlyAreaFlag;//可飞区状态
    private int DataC3sub2SelfCheckFlag;//起飞自检状态
    private int DataC3sub2IronReadFlag;//铁电读取状态
    private VerticalTakeoffAndLandingStatusParam DataC3sub2VTOLFlag;//VTOL状态
    private SensorOverrunStatusParam DataC3sub3StatusSensorLimit;//传感器超限状态

    public int getDataC3flyID() {
        return DataC3flyID;
    }

    public int getDataC3FrameCount() {
        return DataC3FrameCount;
    }

    public int getDataC3FlyStatus_Mode_Period() {
        return DataC3FlyStatus_Mode_Period;
    }

    public int getDataC3NaviMode_Step() {
        return DataC3NaviMode_Step;
    }

    public int getDataC3HorVerCtrLMode() {
        return DataC3HorVerCtrLMode;
    }

    public int getDataC3VerCmd_Step() {
        return DataC3VerCmd_Step;
    }

    public int getDataC3GasMode_HorCmd() {
        return DataC3GasMode_HorCmd;
    }

    public FlightStatusFlagParam getDataC3FlyStateFlag() {
        return DataC3FlyStateFlag;
    }

    public FlightStatusFaultFlagsParam getDataC3FlyErrorStatus() {
        return DataC3FlyErrorStatus;
    }

    public AvionicFaultFlagsParam getDataC3HDErrorStatus() {
        return DataC3HDErrorStatus;
    }

    public SensorStatusParam getDataC3SensorStatus() {
        return DataC3SensorStatus;
    }

    public int getDataC3subFrameID() {
        return DataC3subFrameID;
    }

    public long getDataC3sub0DataUseStatus() {
        return DataC3sub0DataUseStatus;
    }

    public BindingFlagsParam getDataC3sub0DataBindFlag() {
        return DataC3sub0DataBindFlag;
    }

    public int getDataC3sub1SensorOnOffFlag() {
        return DataC3sub1SensorOnOffFlag;
    }

    public ClosedLoopControlStatusParam getDataC3sub1CtrLInLoopFlag() {
        return DataC3sub1CtrLInLoopFlag;
    }

    public int getDataC3sub1FlyAreaFlag() {
        return DataC3sub1FlyAreaFlag;
    }

    public int getDataC3sub2SelfCheckFlag() {
        return DataC3sub2SelfCheckFlag;
    }

    public int getDataC3sub2IronReadFlag() {
        return DataC3sub2IronReadFlag;
    }

    public VerticalTakeoffAndLandingStatusParam getDataC3sub2VTOLFlag() {
        return DataC3sub2VTOLFlag;
    }

    public SensorOverrunStatusParam getDataC3sub3StatusSensorLimit() {
        return DataC3sub3StatusSensorLimit;
    }
}
