package com.htfp.jni.uav985.bean;

/**
 * @author Dong Jw
 * @creatTime 2024-01-11 13:39
 */
public class Uav985FlightDataFrame8F_93 extends Uav985FlightDataFrame {
    private float Data8FAirPressureHeight1; //气压高度I
    private float Data8FAirPressureHeight2; //气压高度II
    private float Data8FAirPressureHeight3; //气压高度III
    private float Data8FAirSpeed1; //空速1
    private float Data8FAirSpeed2; //空速2
    private float Data8FAirSpeed3; //空速3
    private int Data8FsubFrameID; //子帧编号
    private float Data8Fsub0MillRadarHeightDiff; //毫米波雷达高度1
    private float Data8Fsub0MillRadarHeight; //毫米波雷达高度2
    private float Data8Fsub0WirelessAltimeter; //无线电高度表高度
    private int Data8Fsub0MillRadarFreq; //毫米波I帧频
    private int Data8Fsub0MemBrakeFreq; //备用刹车帧频
    private float Data8Fsub0LeftBrakePress; //左刹车压力
    private float Data8Fsub0RightBrakePress; //右刹车压力
    private long Data8Fsub1FlyCtrlAStatus; //飞控A状态字
    private long Data8Fsub1FlyCtrlBStatus; //飞控B状态字
    private long Data8Fsub1FlyCtrlCStatus; //飞控C状态字
    private int Data8Fsub2LeftUpDnActuatorFre; //舵机管理器CAN帧频
    private int Data8Fsub2RightUpDnActuatorFre; //舵机管理器485帧频
    private int Data8Fsub2LeftFuYiActuatorFre; //舵机控制器CAN帧频
    private int Data8Fsub2RightFuYiActuatorFre; //舵机控制器485帧频
    private int Data8Fsub2LeftOutUpDnActuator; //左外升降舵机状态
    private int Data8Fsub2RightOutUpDnActuator; //右外升降舵机状态
    private int Data8Fsub2LeftOutFuYiActuator; //左外副翼舵机状态
    private int Data8Fsub2RightOutFuYiActuator; //右外副翼舵机状态
    private int Data8Fsub2UpDirActuator; //上方向舵机状态
    private int Data8Fsub2InJYDState; //内襟翼舵状态
    private int Data8Fsub2OutJYDState; //外襟翼舵状态
    private int Data8Fsub2YuLiuState; //预留状态
    private int Data8Fsub3LOut_ElevatorFault; //左外升降舵机故障状态
    private int Data8Fsub3ROut_ElevatorFault; //右外升降舵机故障状态
    private int Data8Fsub3LOut_AileronFault; //左外副翼舵机故障状态
    private int Data8Fsub3ROut_AileronFault; //右外副翼舵机故障状态
    private int Data8Fsub3UpRudderFault; //上方向舵机故障状态
    private int Data8Fsub3IN_FlapFault; //内襟翼舵故障状态
    private int Data8Fsub3OUT_FlapFault; //外襟翼舵故障状态
    private int Data8Fsub3IN_ZYGJFault; //内襟翼重要告警状态
    private int Data8Fsub3OUT_ZYGJFault; //外襟翼重要告警状态
    private int Data8Fsub3BrakeSource; //刹车数据源
    private float Data8Fsub3CPspeed; //预留，侧偏速度
    private int Data91FrameCount; //帧计数
    private int Data91TelecontrolFre; //遥控A帧频
    private int Data91SD2Fre; //SD2帧频
    private int Data91SD9Fre; //SD9帧频
    private int Data91SatcomFre; //卫通帧频
    private int Data91TaskManageFre; //任管帧频
    private int Data91SatNavFreA; //卫星导航A帧频
    private int Data91SatNavFreB; //卫星导航B帧频
    private int Data91SatNavFreC; //卫星导航C帧频
    private int Data91AtmosphereDevFre1; //大气机I帧频
    private int Data91AtmosphereDevFre2; //大气机II帧频
    private int Data91AtmosphereDevFre3; //大气机III帧频
    private int Data91BrakeCtrlFre; //主刹车阀帧频
    private int Data91subFrameID; //子帧编号
    private long Data91sub0TelecontrolRunTime; //飞控运行时间
    private long Data91sub0TelecontrolMaxRuntime; //飞控单次最大运行时间
    private int Data91sub0TelecontrolResetStatus ; //飞控复位状态
    private int Data91sub0BindFlag; //装订标志
    private float Data91sub0FieldHeight; //场高
    private float Data91sub0RunwayHead; //跑道航向角
    private int Data91sub0SensorState; //传感器禁止使能状态
    private int Data91sub1WirelessAltimeterFre; //无线电高度表帧频
    private int Data91sub1FibreInertiaFre1; //光纤惯组I帧频
    private int Data91sub1FibreInertiaFre2; //光纤惯组II帧频
    private int Data91sub1Stim300Fre; //Stim300帧频
    private int Data91sub1BusAFre; //总线A帧频
    private int Data91sub1BusBFre; //总线B帧频
    private int Data91sub1BusCFre; //总线C帧频
    private float Data91sub1BusEngFre1; //CAN总线发管1帧频
    private float Data91sub1BusEngFre2; //CAN总线发管2帧频
    private int Data91sub1MillFre; //毫米波Ⅱ帧频
    private float Data91sub1BusElecFre1; //CAN总线电管1帧频
    private float Data91sub1BusElecFre2; //CAN总线电管2帧频
    private float Data91sub2TelecontrolInVoltageA; //飞控A输入电压
    private float Data91sub2TelecontrolInVoltageB; //飞控B输入电压
    private float Data91sub2TelecontrolInVoltageC; //飞控C输入电压
    private float Data91sub2Telecontrol5VoltageA; //飞控A 5V电压
    private float Data91sub2Telecontrol5VoltageB; //飞控B 5V电压
    private float Data91sub2Telecontrol5VoltageC; //飞控C 5V电压
    private float Data91sub2Telecontrol33VoltageA; //飞控A 3.3V电压
    private float Data91sub2Telecontrol33VoltageB; //飞控B 3.3V电压
    private float Data91sub2Telecontrol33VoltageC; //飞控C 3.3V电压
    private float Data91sub2AtmosphereComputerPwr1 ; //大气数据计算机I供电
    private float Data91sub2AtmosphereComputerPwr2 ; //大气数据计算机II供电
    private float Data91sub2AtmosphereComputerPwr3 ; //大气数据计算机III供电
    private int Data91sub3BusAFre485; //485总线A帧频
    private int Data91sub3BusBFre485; //485总线B帧频
    private int Data91sub3BusCFre485; //485总线C帧频
    private int Data91sub3EngMgr1Fre485; //485总线发动机管理器1帧频
    private int Data91sub3EngMgr2Fre485; //485总线发动机管理器2帧频
    private int Data91sub3LineCompare; //航线对比
    private int Data91sub3KeyParamCompare; //重要参数对比
    private long Data91sub3BusDataSrc; //总线设备数据来源
    private int Data91sub3TieDianDataRWState; //铁电数据读取状态
    private float Data92AllPitchingGiven; //总俯仰给定
    private float Data92PSPitchingGiven; //默认俯仰角给定
    private float Data92PFPitchingGiven; //速度产生俯仰给定
    private float Data92FCPitchingGiven; //高度产生俯仰给定
    private float Data92AllRollingGiven; //总滚转给定
    private float Data92RollingPPValue; //滚转配平值
    private int Data92AllOilGiven; //总油门给定
    private int Data92DefaultOilGiven; //默认油门给定
    private int Data92ExitTaxiingFlag ; //滑跑退出标志
    private int Data92MainBrake485Freq; //主刹车阀485帧频
    private int Data92MemBrake485Freq; //备刹车阀485帧频
    private int Data92subFrameID; //子帧编号
    private byte Data92sub0AirSpeedGivenTelValue; //空速给定遥调量
    private int Data92sub0SlowBrakeGiven; //减速刹车给定量
    private int Data92sub0BrakeSoftenValue; //刹车软化值
    private int Data92sub0BrakeSoftenRate; //刹车软化速率
    private byte Data92sub0LeftBrakeCorrect; //左刹车修正量
    private byte Data92sub0RightBrakeCorrect; //右刹车修正量
    private byte Data92sub0LeftBrakeGivenCorrect; //纠偏左刹车给定
    private byte Data92sub0RightBrakeGivenCorrect; //纠偏右刹车给定
    private int Data92sub0MaxSlidingSpeed; //最大滑行速度
    private int Data92sub0MaxSlidingDis; //最大滑行距离
    private float Data92sub0DeepSlidingDegreeTel; //深下滑角度遥调量
    private float Data92sub1PitchingJF; //俯仰角积分
    private float Data92sub1HeightJF; //高度积分
    private float Data92sub1DirectionCPJF; //方向舵侧偏积分
    private float Data92sub1AssisWingCPJF; //副翼侧偏积分
    private float Data92sub1EngineSpeedJF; //发动机速度积分
    private float Data92sub1UpDnSpeedJF; //升降舵速度积分
    private int Data92sub1USBStorageStateA; //U盘A状态
    private int Data92sub1USBStorageStateB; //U盘B状态
    private int Data92sub1USBStorageStateC; //U盘C状态
    private int Data92sub1SelfCheckState; //自检状态
    private float Data92sub2BD982PwrA; //BD982A供电
    private float Data92sub2BD982PwrB; //BD982B供电
    private float Data92sub2FibreInertiaPwrA; //光纤惯组A供电
    private float Data92sub2FibreInertiaPwrB; //光纤惯组B供电
    private float Data92sub2RollingInter; //滚转角积分
    private float Data92sub2LBVerSpeedI; //滤波升降速度I
    private float Data92sub2LBVerSpeedII; //滤波升降速度II
    private float Data92sub2LBVerSpeedIII; //滤波升降速度III
    private int Data92sub2FaultFlag; //故障标志
    private long Data93OriLineNum; //起点航线号
    private long Data93OriPtNum; //起点航点号
    private long Data93NextLineNum; //Next航线号
    private long Data93NextPtNum; //Next航点号
    private long Data93NavSteps; //导航步骤
    private float Data93NextHeading; //下一段航向角
    private float Data93IncludedAngle; //夹角
    private int Data93PXFlag; //盘旋标志
    private int Data93EFenceFlag; //电子围栏标志
    private int Data93subFrameID; //子帧编号
    private int Data93sub0CPCorrect; //侧偏修正
    private int Data93sub0PXDirect; //盘旋导引方向
    private long Data93sub0PXCountSet; //盘旋计数设置
    private long Data93sub0PXCircles; //盘旋圈数
    private int Data93sub0HPDistToOri; //滑跑距起点距离
    private long Data93sub0FallowDistToLand; //浅下滑距着陆点距离
    private int Data93sub0DuoJiGuanLiQiState; //舵机管理器状态字
    private int Data93sub0DuoJiKongZhiQiState; //舵机控制器状态字
    private int Data93sub0OneTimeEngine   ; //发动机单次运行时间
    private long Data93sub1FlyTime; //飞行时间
    private long Data93sub1AllFlyTime; //总飞行时间
    private long Data93sub1TelUnusedTime; //遥控失灵时间
    private long Data93sub1FlyNum; //飞行架次
    private long Data93sub1Ver3DCount; //纵向三维计数
    private float Data93sub2BoardAirHeightI; //板载气压高度I
    private float Data93sub2BoardAirHeightII; //板载气压高度II
    private float Data93sub2BoardAirHeightIII; //板载气压高度III
    private long Data93sub2TotalTimeEngine   ; //发动机总运行时间
    private int Data93sub2ZhuShacheState; //主刹车状态字
    private int Data93sub2BeiYongShacheState; //备用刹车状态字
    private long Data93sub3TaxiingMileage; //滑行总里程
    private long Data93sub3TotalFlyMileage; //飞行总里程
    private long Data93sub3OneFlyMileage; //单次飞行里程

    public float getData8FAirPressureHeight1() {
        return Data8FAirPressureHeight1;
    }

    public float getData8FAirPressureHeight2() {
        return Data8FAirPressureHeight2;
    }

    public float getData8FAirPressureHeight3() {
        return Data8FAirPressureHeight3;
    }

    public float getData8FAirSpeed1() {
        return Data8FAirSpeed1;
    }

    public float getData8FAirSpeed2() {
        return Data8FAirSpeed2;
    }

    public float getData8FAirSpeed3() {
        return Data8FAirSpeed3;
    }

    public int getData8FsubFrameID() {
        return Data8FsubFrameID;
    }

    public float getData8Fsub0MillRadarHeightDiff() {
        return Data8Fsub0MillRadarHeightDiff;
    }

    public float getData8Fsub0MillRadarHeight() {
        return Data8Fsub0MillRadarHeight;
    }

    public float getData8Fsub0WirelessAltimeter() {
        return Data8Fsub0WirelessAltimeter;
    }

    public int getData8Fsub0MillRadarFreq() {
        return Data8Fsub0MillRadarFreq;
    }

    public int getData8Fsub0MemBrakeFreq() {
        return Data8Fsub0MemBrakeFreq;
    }

    public float getData8Fsub0LeftBrakePress() {
        return Data8Fsub0LeftBrakePress;
    }

    public float getData8Fsub0RightBrakePress() {
        return Data8Fsub0RightBrakePress;
    }

    public long getData8Fsub1FlyCtrlAStatus() {
        return Data8Fsub1FlyCtrlAStatus;
    }

    public long getData8Fsub1FlyCtrlBStatus() {
        return Data8Fsub1FlyCtrlBStatus;
    }

    public long getData8Fsub1FlyCtrlCStatus() {
        return Data8Fsub1FlyCtrlCStatus;
    }

    public int getData8Fsub2LeftUpDnActuatorFre() {
        return Data8Fsub2LeftUpDnActuatorFre;
    }

    public int getData8Fsub2RightUpDnActuatorFre() {
        return Data8Fsub2RightUpDnActuatorFre;
    }

    public int getData8Fsub2LeftFuYiActuatorFre() {
        return Data8Fsub2LeftFuYiActuatorFre;
    }

    public int getData8Fsub2RightFuYiActuatorFre() {
        return Data8Fsub2RightFuYiActuatorFre;
    }

    public int getData8Fsub2LeftOutUpDnActuator() {
        return Data8Fsub2LeftOutUpDnActuator;
    }

    public int getData8Fsub2RightOutUpDnActuator() {
        return Data8Fsub2RightOutUpDnActuator;
    }

    public int getData8Fsub2LeftOutFuYiActuator() {
        return Data8Fsub2LeftOutFuYiActuator;
    }

    public int getData8Fsub2RightOutFuYiActuator() {
        return Data8Fsub2RightOutFuYiActuator;
    }

    public int getData8Fsub2UpDirActuator() {
        return Data8Fsub2UpDirActuator;
    }

    public int getData8Fsub2InJYDState() {
        return Data8Fsub2InJYDState;
    }

    public int getData8Fsub2OutJYDState() {
        return Data8Fsub2OutJYDState;
    }

    public int getData8Fsub2YuLiuState() {
        return Data8Fsub2YuLiuState;
    }

    public int getData8Fsub3LOut_ElevatorFault() {
        return Data8Fsub3LOut_ElevatorFault;
    }

    public int getData8Fsub3ROut_ElevatorFault() {
        return Data8Fsub3ROut_ElevatorFault;
    }

    public int getData8Fsub3LOut_AileronFault() {
        return Data8Fsub3LOut_AileronFault;
    }

    public int getData8Fsub3ROut_AileronFault() {
        return Data8Fsub3ROut_AileronFault;
    }

    public int getData8Fsub3UpRudderFault() {
        return Data8Fsub3UpRudderFault;
    }

    public int getData8Fsub3IN_FlapFault() {
        return Data8Fsub3IN_FlapFault;
    }

    public int getData8Fsub3OUT_FlapFault() {
        return Data8Fsub3OUT_FlapFault;
    }

    public int getData8Fsub3IN_ZYGJFault() {
        return Data8Fsub3IN_ZYGJFault;
    }

    public int getData8Fsub3OUT_ZYGJFault() {
        return Data8Fsub3OUT_ZYGJFault;
    }

    public int getData8Fsub3BrakeSource() {
        return Data8Fsub3BrakeSource;
    }

    public float getData8Fsub3CPspeed() {
        return Data8Fsub3CPspeed;
    }

    public int getData91FrameCount() {
        return Data91FrameCount;
    }

    public int getData91TelecontrolFre() {
        return Data91TelecontrolFre;
    }

    public int getData91SD2Fre() {
        return Data91SD2Fre;
    }

    public int getData91SD9Fre() {
        return Data91SD9Fre;
    }

    public int getData91SatcomFre() {
        return Data91SatcomFre;
    }

    public int getData91TaskManageFre() {
        return Data91TaskManageFre;
    }

    public int getData91SatNavFreA() {
        return Data91SatNavFreA;
    }

    public int getData91SatNavFreB() {
        return Data91SatNavFreB;
    }

    public int getData91SatNavFreC() {
        return Data91SatNavFreC;
    }

    public int getData91AtmosphereDevFre1() {
        return Data91AtmosphereDevFre1;
    }

    public int getData91AtmosphereDevFre2() {
        return Data91AtmosphereDevFre2;
    }

    public int getData91AtmosphereDevFre3() {
        return Data91AtmosphereDevFre3;
    }

    public int getData91BrakeCtrlFre() {
        return Data91BrakeCtrlFre;
    }

    public int getData91subFrameID() {
        return Data91subFrameID;
    }

    public long getData91sub0TelecontrolRunTime() {
        return Data91sub0TelecontrolRunTime;
    }

    public long getData91sub0TelecontrolMaxRuntime() {
        return Data91sub0TelecontrolMaxRuntime;
    }

    public int getData91sub0TelecontrolResetStatus() {
        return Data91sub0TelecontrolResetStatus;
    }

    public int getData91sub0BindFlag() {
        return Data91sub0BindFlag;
    }

    public float getData91sub0FieldHeight() {
        return Data91sub0FieldHeight;
    }

    public float getData91sub0RunwayHead() {
        return Data91sub0RunwayHead;
    }

    public int getData91sub0SensorState() {
        return Data91sub0SensorState;
    }

    public int getData91sub1WirelessAltimeterFre() {
        return Data91sub1WirelessAltimeterFre;
    }

    public int getData91sub1FibreInertiaFre1() {
        return Data91sub1FibreInertiaFre1;
    }

    public int getData91sub1FibreInertiaFre2() {
        return Data91sub1FibreInertiaFre2;
    }

    public int getData91sub1Stim300Fre() {
        return Data91sub1Stim300Fre;
    }

    public int getData91sub1BusAFre() {
        return Data91sub1BusAFre;
    }

    public int getData91sub1BusBFre() {
        return Data91sub1BusBFre;
    }

    public int getData91sub1BusCFre() {
        return Data91sub1BusCFre;
    }

    public float getData91sub1BusEngFre1() {
        return Data91sub1BusEngFre1;
    }

    public float getData91sub1BusEngFre2() {
        return Data91sub1BusEngFre2;
    }

    public int getData91sub1MillFre() {
        return Data91sub1MillFre;
    }

    public float getData91sub1BusElecFre1() {
        return Data91sub1BusElecFre1;
    }

    public float getData91sub1BusElecFre2() {
        return Data91sub1BusElecFre2;
    }

    public float getData91sub2TelecontrolInVoltageA() {
        return Data91sub2TelecontrolInVoltageA;
    }

    public float getData91sub2TelecontrolInVoltageB() {
        return Data91sub2TelecontrolInVoltageB;
    }

    public float getData91sub2TelecontrolInVoltageC() {
        return Data91sub2TelecontrolInVoltageC;
    }

    public float getData91sub2Telecontrol5VoltageA() {
        return Data91sub2Telecontrol5VoltageA;
    }

    public float getData91sub2Telecontrol5VoltageB() {
        return Data91sub2Telecontrol5VoltageB;
    }

    public float getData91sub2Telecontrol5VoltageC() {
        return Data91sub2Telecontrol5VoltageC;
    }

    public float getData91sub2Telecontrol33VoltageA() {
        return Data91sub2Telecontrol33VoltageA;
    }

    public float getData91sub2Telecontrol33VoltageB() {
        return Data91sub2Telecontrol33VoltageB;
    }

    public float getData91sub2Telecontrol33VoltageC() {
        return Data91sub2Telecontrol33VoltageC;
    }

    public float getData91sub2AtmosphereComputerPwr1() {
        return Data91sub2AtmosphereComputerPwr1;
    }

    public float getData91sub2AtmosphereComputerPwr2() {
        return Data91sub2AtmosphereComputerPwr2;
    }

    public float getData91sub2AtmosphereComputerPwr3() {
        return Data91sub2AtmosphereComputerPwr3;
    }

    public int getData91sub3BusAFre485() {
        return Data91sub3BusAFre485;
    }

    public int getData91sub3BusBFre485() {
        return Data91sub3BusBFre485;
    }

    public int getData91sub3BusCFre485() {
        return Data91sub3BusCFre485;
    }

    public int getData91sub3EngMgr1Fre485() {
        return Data91sub3EngMgr1Fre485;
    }

    public int getData91sub3EngMgr2Fre485() {
        return Data91sub3EngMgr2Fre485;
    }

    public int getData91sub3LineCompare() {
        return Data91sub3LineCompare;
    }

    public int getData91sub3KeyParamCompare() {
        return Data91sub3KeyParamCompare;
    }

    public long getData91sub3BusDataSrc() {
        return Data91sub3BusDataSrc;
    }

    public int getData91sub3TieDianDataRWState() {
        return Data91sub3TieDianDataRWState;
    }

    public float getData92AllPitchingGiven() {
        return Data92AllPitchingGiven;
    }

    public float getData92PSPitchingGiven() {
        return Data92PSPitchingGiven;
    }

    public float getData92PFPitchingGiven() {
        return Data92PFPitchingGiven;
    }

    public float getData92FCPitchingGiven() {
        return Data92FCPitchingGiven;
    }

    public float getData92AllRollingGiven() {
        return Data92AllRollingGiven;
    }

    public float getData92RollingPPValue() {
        return Data92RollingPPValue;
    }

    public int getData92AllOilGiven() {
        return Data92AllOilGiven;
    }

    public int getData92DefaultOilGiven() {
        return Data92DefaultOilGiven;
    }

    public int getData92ExitTaxiingFlag() {
        return Data92ExitTaxiingFlag;
    }

    public int getData92MainBrake485Freq() {
        return Data92MainBrake485Freq;
    }

    public int getData92MemBrake485Freq() {
        return Data92MemBrake485Freq;
    }

    public int getData92subFrameID() {
        return Data92subFrameID;
    }

    public byte getData92sub0AirSpeedGivenTelValue() {
        return Data92sub0AirSpeedGivenTelValue;
    }

    public int getData92sub0SlowBrakeGiven() {
        return Data92sub0SlowBrakeGiven;
    }

    public int getData92sub0BrakeSoftenValue() {
        return Data92sub0BrakeSoftenValue;
    }

    public int getData92sub0BrakeSoftenRate() {
        return Data92sub0BrakeSoftenRate;
    }

    public byte getData92sub0LeftBrakeCorrect() {
        return Data92sub0LeftBrakeCorrect;
    }

    public byte getData92sub0RightBrakeCorrect() {
        return Data92sub0RightBrakeCorrect;
    }

    public byte getData92sub0LeftBrakeGivenCorrect() {
        return Data92sub0LeftBrakeGivenCorrect;
    }

    public byte getData92sub0RightBrakeGivenCorrect() {
        return Data92sub0RightBrakeGivenCorrect;
    }

    public int getData92sub0MaxSlidingSpeed() {
        return Data92sub0MaxSlidingSpeed;
    }

    public int getData92sub0MaxSlidingDis() {
        return Data92sub0MaxSlidingDis;
    }

    public float getData92sub0DeepSlidingDegreeTel() {
        return Data92sub0DeepSlidingDegreeTel;
    }

    public float getData92sub1PitchingJF() {
        return Data92sub1PitchingJF;
    }

    public float getData92sub1HeightJF() {
        return Data92sub1HeightJF;
    }

    public float getData92sub1DirectionCPJF() {
        return Data92sub1DirectionCPJF;
    }

    public float getData92sub1AssisWingCPJF() {
        return Data92sub1AssisWingCPJF;
    }

    public float getData92sub1EngineSpeedJF() {
        return Data92sub1EngineSpeedJF;
    }

    public float getData92sub1UpDnSpeedJF() {
        return Data92sub1UpDnSpeedJF;
    }

    public int getData92sub1USBStorageStateA() {
        return Data92sub1USBStorageStateA;
    }

    public int getData92sub1USBStorageStateB() {
        return Data92sub1USBStorageStateB;
    }

    public int getData92sub1USBStorageStateC() {
        return Data92sub1USBStorageStateC;
    }

    public int getData92sub1SelfCheckState() {
        return Data92sub1SelfCheckState;
    }

    public float getData92sub2BD982PwrA() {
        return Data92sub2BD982PwrA;
    }

    public float getData92sub2BD982PwrB() {
        return Data92sub2BD982PwrB;
    }

    public float getData92sub2FibreInertiaPwrA() {
        return Data92sub2FibreInertiaPwrA;
    }

    public float getData92sub2FibreInertiaPwrB() {
        return Data92sub2FibreInertiaPwrB;
    }

    public float getData92sub2RollingInter() {
        return Data92sub2RollingInter;
    }

    public float getData92sub2LBVerSpeedI() {
        return Data92sub2LBVerSpeedI;
    }

    public float getData92sub2LBVerSpeedII() {
        return Data92sub2LBVerSpeedII;
    }

    public float getData92sub2LBVerSpeedIII() {
        return Data92sub2LBVerSpeedIII;
    }

    public int getData92sub2FaultFlag() {
        return Data92sub2FaultFlag;
    }

    public long getData93OriLineNum() {
        return Data93OriLineNum;
    }

    public long getData93OriPtNum() {
        return Data93OriPtNum;
    }

    public long getData93NextLineNum() {
        return Data93NextLineNum;
    }

    public long getData93NextPtNum() {
        return Data93NextPtNum;
    }

    public long getData93NavSteps() {
        return Data93NavSteps;
    }

    public float getData93NextHeading() {
        return Data93NextHeading;
    }

    public float getData93IncludedAngle() {
        return Data93IncludedAngle;
    }

    public int getData93PXFlag() {
        return Data93PXFlag;
    }

    public int getData93EFenceFlag() {
        return Data93EFenceFlag;
    }

    public int getData93subFrameID() {
        return Data93subFrameID;
    }

    public int getData93sub0CPCorrect() {
        return Data93sub0CPCorrect;
    }

    public int getData93sub0PXDirect() {
        return Data93sub0PXDirect;
    }

    public long getData93sub0PXCountSet() {
        return Data93sub0PXCountSet;
    }

    public long getData93sub0PXCircles() {
        return Data93sub0PXCircles;
    }

    public int getData93sub0HPDistToOri() {
        return Data93sub0HPDistToOri;
    }

    public long getData93sub0FallowDistToLand() {
        return Data93sub0FallowDistToLand;
    }

    public int getData93sub0DuoJiGuanLiQiState() {
        return Data93sub0DuoJiGuanLiQiState;
    }

    public int getData93sub0DuoJiKongZhiQiState() {
        return Data93sub0DuoJiKongZhiQiState;
    }

    public int getData93sub0OneTimeEngine() {
        return Data93sub0OneTimeEngine;
    }

    public long getData93sub1FlyTime() {
        return Data93sub1FlyTime;
    }

    public long getData93sub1AllFlyTime() {
        return Data93sub1AllFlyTime;
    }

    public long getData93sub1TelUnusedTime() {
        return Data93sub1TelUnusedTime;
    }

    public long getData93sub1FlyNum() {
        return Data93sub1FlyNum;
    }

    public long getData93sub1Ver3DCount() {
        return Data93sub1Ver3DCount;
    }

    public float getData93sub2BoardAirHeightI() {
        return Data93sub2BoardAirHeightI;
    }

    public float getData93sub2BoardAirHeightII() {
        return Data93sub2BoardAirHeightII;
    }

    public float getData93sub2BoardAirHeightIII() {
        return Data93sub2BoardAirHeightIII;
    }

    public long getData93sub2TotalTimeEngine() {
        return Data93sub2TotalTimeEngine;
    }

    public int getData93sub2ZhuShacheState() {
        return Data93sub2ZhuShacheState;
    }

    public int getData93sub2BeiYongShacheState() {
        return Data93sub2BeiYongShacheState;
    }

    public long getData93sub3TaxiingMileage() {
        return Data93sub3TaxiingMileage;
    }

    public long getData93sub3TotalFlyMileage() {
        return Data93sub3TotalFlyMileage;
    }

    public long getData93sub3OneFlyMileage() {
        return Data93sub3OneFlyMileage;
    }
}
